/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-05-23 13:17:42
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';
import newRequest2 from '@/utils/newRequest2';

// 查询列表
export function querySaleDept() {
  return newRequest({
    url: '/tradeOrder/querySaleDept',
    method: 'get'
  })
}

export function queryBusinessMan() {
  return newRequest({
    url: '/tradeOrder/queryBusinessMan',
    method: 'get'
  })
}

export function queryCustomer() {
  return newRequest({
    url: '/tradeOrder/queryCustomer',
    method: 'get'
  })
}

export function tradeOrdeCreate(data) {
  return newRequest({
    url: '/tradeOrder/create',
    method: 'post',
    data
  })
}

export function tradeOrdeUpdate(data) {
  return newRequest({
    url: '/tradeOrder/update',
    method: 'post',
    data
  })
}



export function tradeOrdeDetail(params) {
  return newRequest({
    url: '/tradeOrder/detail',
    method: 'get',
    params
  })
}


export function lbsGeo(params) {
  return newRequest({
    url: '/lbs/geo',
    method: 'get',
    params
  })
}

export function queryDistrict(params) {
  return newRequest({
    url: '/lbs/queryDistrict',
    method: 'get',
    params
  })
}

export function operationLog(params) {
  return newRequest({
    url: '/tradeOrder/operationLog',
    method: 'get',
    params
  })
}

export function orderList(data) {
  return newRequest2({
    url: '/outer/order/list',
    method: 'POST',
    data
  })
}

export function platformList(data) {
  return newRequest2({
    url: '/outer/platform/list',
    method: 'GET',
    data
  })
}


export function queryTags(data) {
  return newRequest2({
    url: '/outer/order/queryTags',
    method: 'POST',
    data
  })
}

export function queryNeedJulianSend(data) {
  return newRequest({
    url: '/tradeOrder/queryNeedJulianSend',
    method: 'POST',
    data
  })
}

export function needJulianSend(data) {
  return newRequest({
    url: '/tradeOrder/needJulianSend',
    method: 'POST',
    data
  })
}

export function pushJulianSend(data) {
  return newRequest({
    url: '/tradeOrder/pushJulianSend',
    method: 'POST',
    data
  })
}

export function cancelJulianSend(data) {
  return newRequest({
    url: '/tradeOrder/cancelJulianSend',
    method: 'POST',
    data
  })
}

export function addBusinessFlag(data) {
  return newRequest2({
    url: '/outer/order/addBusinessFlag',
    method: 'POST',
    data
  })
}

export function getOrderDetail(data) {
  return newRequest2({
    url: '/outer/order/detail',
    method: 'POST',
    data
  })
}

export function updateUserReceiveInfo(data) {
  return newRequest2({
    url: '/outer/order/updateUserReceiveInfo',
    method: 'POST',
    data
  })
}

export function queryOrderTabs(data) {
  return newRequest2({
    url: '/outer/order/queryOrderTabs',
    method: 'POST',
    data
  })
}

export function expressInfo(data) {
  return newRequest({
    url: '/tradeOrder/expressInfo',
    method: 'POST',
    data,
    repeat: true
  })
}

export function shortageGood(data) {
  return newRequest({
    url: '/tradeOrder/shortageGood',
    method: 'POST',
    data,
    repeat: true
  })
}

export function getCategory(data) {
  return newRequest({
    url: '/tradeOrder/getCategory',
    method: 'GET',
    data,
  })
}

export function queryJulianSupplier(data) {
  return newRequest({
    url: '/tradeOrder/queryJulianSupplier',
    method: 'POST',
    data,
  })
}


export function shortageGoodUpdate(data) {
  return newRequest({
    url: '/tradeOrder/shortageGood/update',
    method: 'POST',
    data,
  })
}
